Date   

Re: will the add on updater update them?

David Ingram
 

f the nativeaccess application will get better in terms of accessibility when used with nvda? I ask this question because i'm trying to see if nvaccess.org will fully support nativeaccess to help improve accessibility and see if certain keystrokes e will work as an example when while using nvda together with nativeaccess I find that when I try to perform a scan command by using insert+ the number 2 key nothing happens and when I use insert+r to perform a scan nothing is recognized. I don't know whether i'm using the correct keystrokes concerning this but I thaught that I would let you know about it maybe you might have some insight on this that i'm missing.

-----Original Message-----
From: Joseph Lee
Sent: Feb 10, 2020 1:42 PM
To: nvda@nvda.groups.io
Subject: Re: [nvda] will the add on updater update them?

Hi,
As soon as Dropbox add-on is declared stable, it’ll show up via Add-on Updater.

Cheers,

Joseph

 

From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of Patrick ZAJDA via Groups.Io
Sent: Monday, February 10, 2020 11:16 AM
To: nvda@nvda.groups.io
Subject: Re: [nvda] will the add on updater update them?

 

Hello,

 

About the Dropbox addon, you can download the compatible version here: https://addons.nvda-project.org/files/get.php?file=dx-dev

 

Hop this helps,

 

Patrick

 

Le 10/02/2020 à 20:01, ken lawrence via Groups.Io a écrit :

Hi list 2019.3 is now on my computer I have several add ons that won’t work with the new version.  I’m aware of remote not working yet but will the dropbox and the skype and teamtalk add ons be updated soon?  I don’t want to remove the old ones to make sure new updates come in.  are there any timelines for these to be updated.  Also I didn’t quite see what is different in speech in the new version other than the different espeak engine.  What has changed there? 

 

Sent from Mail for Windows 10

 

 

--
Patrick ZAJDA


Re: Relating to NVDA 2019.3.1

Jackie
 

I don't think it's compatible w/windows 7. Having said thus, Dejan,
you're just asking for trouble using win7 now.

On 2/10/20, Roger Stewart <paganus2@...> wrote:
Apparently March 2019 is equal to NVDA 2019.3 which is the correct
version.  I found this very confusing but maybe the first beta came out
last March or something. Anyhow, go ahead and get that version and
you'll really have 2019.3.
Roger






On 2/10/2020 1:09 PM, Dejan Ristic wrote:
Hi,


I installed the stable NVDA 2019.3 version. When I restarted the
machine, I found the version number from the subject line, that's to
say, 2019.3.1. My decision is not to install it till I've been told to
by those who can tell so.


Note:


I use Windows 7 operating system.

Note 2


I've checked all the mail messages, and found that none of them says a
word relating to 2019.3.1. Due to the fact that I've been using NVDA
for a longer period of time, let me suppose that this may be a minor
version addressing some bug fixes.


Dejan






--
Subscribe to a WordPress for Newbies Mailing List by sending a message to:
wp4newbs-request@... with 'subscribe' in the Subject field OR by
visiting the list page at http://www.freelists.org/list/wp4newbs
& check out my sites at www.brighter-vision.com & www.mysitesbeenhacked.com


Re: Relating to NVDA 2019.3.1

Roger Stewart
 

Apparently March 2019 is equal to NVDA 2019.3 which is the correct version.  I found this very confusing but maybe the first beta came out last March or something. Anyhow, go ahead and get that version and you'll really have 2019.3.
Roger

On 2/10/2020 1:09 PM, Dejan Ristic wrote:
Hi,


I installed the stable NVDA 2019.3 version. When I restarted the machine, I found the version number from the subject line, that's to say, 2019.3.1. My decision is not to install it till I've been told to by those who can tell so.


Note:


I use Windows 7 operating system.

Note 2


I've checked all the mail messages, and found that none of them says a word relating to 2019.3.1. Due to the fact that I've been using NVDA for a longer period of time, let me suppose that this may be a minor version addressing some bug fixes.


Dejan



StationPlaylist and Windows 10 App Essentials 20.02 #addonrelease

 

Hello all,

 

StationPlaylist and Windows 10 App Essentials 20.02 are on their way (to be released to everyone on stable channel later today). Both releases require NVDA 2019.3 or later.


StationPlaylist add-on 20.02 includes enhancements to encoder support and introduces initial support for SPL Creator’s Playlist Editor. Windows 10 App Essentials 20.02 drops support for Windows 10 Version 1809 (October 2018 Update) and introduces support for Windows 10 Version 2004 (20H1).

 

Cheers,

joseph


all of nicks addons

 

Hi.

I have sent the author of these an email, and the github is here.

https://github.com/nstockton/nvda-add-ons

I have posted an issue there but not addressed yet.

Its a pitty because right now thats the only addon not compatible right now.

Its true I am running dev releases of a lot of stuff right now but hopefully these translate into stable over the coming weeks.

Sorry for a message sent twice but I screwed up my words a little <grin>


all of nicks addons

 

Hi.

I have sent the author of these an email, and the github is here.

https://github.com/nstockton/nvda-add-ons

I have posted an issue there but not addressed yet.

Its a pitty because right now thats the only addon not compatible right now.

Its true I am running dev releases of a lot of stuff right now but hopefully these translate into stable over the current weeks.


Add-on Updater and NVDA 2019.3 add-ons: more add-on updates are on their way #addonrelease

 

Hello everyone,

 

First, on behalf of the NVDA add-ons community, I would like to thank everyone for your patience and encouragements regarding NVDA 2019.3 development. Now that 2019.3 (or rather, 2019.3.1) stable is out, more add-ons are making themselves visible via stable update channel. As such, if you are using NVDA 2019.3.x, please use Add-on Updater to update to compatible add-on releases.

 

NOTE: if you are still using 2019.2.1 or earlier, you’ll get a notice about add-on incompatibility when you update various add-ons. If you absolutely need to use NVDA 2019.2.1 due to important add-ons you’ve got, please DO NOT update add-ons. Going forward, most add-ons will require 2019.3 or later.

 

Another note: as I promised back in December 2019, Add-on Updater will be one of the last add-ons to require 2019.3 (last of my add-ons to require 2019.3.).


Thank you.

Cheers,

Joseph


Re: will the add on updater update them?

 

Hi all,

I’ll make a more general announcement once more add-ons become compatible and made available on stable update channel.

Cheers,

Joseph

 

From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of Shaun Everiss
Sent: Monday, February 10, 2020 11:45 AM
To: nvda@nvda.groups.io
Subject: Re: [nvda] will the add on updater update them?

 

Well after updating several addons, to the dev versions nvda and 99.9% of all addons are once again working.

I have had to disable autoupdater because report simbols, dropbox, and emoticons want to downdate to the stable versions.

Bar the interactive fiction addon that is

I have just coppied a couple of manafest lines from an addon to that one and its status is now enabled, however goes without saying that we need things to work  a bit better.

 

On 11/02/2020 8:16 am, Patrick ZAJDA via Groups.Io wrote:

Hello,

 

About the Dropbox addon, you can download the compatible version here: https://addons.nvda-project.org/files/get.php?file=dx-dev

 

Hop this helps,

 

Patrick

 

Le 10/02/2020 à 20:01, ken lawrence via Groups.Io a écrit :

Hi list 2019.3 is now on my computer I have several add ons that won’t work with the new version.  I’m aware of remote not working yet but will the dropbox and the skype and teamtalk add ons be updated soon?  I don’t want to remove the old ones to make sure new updates come in.  are there any timelines for these to be updated.  Also I didn’t quite see what is different in speech in the new version other than the different espeak engine.  What has changed there? 

 

Sent from Mail for Windows 10

 

 

--
Patrick ZAJDA


Re: will the add on updater update them?

 

Well after updating several addons, to the dev versions nvda and 99.9% of all addons are once again working.

I have had to disable autoupdater because report simbols, dropbox, and emoticons want to downdate to the stable versions.

Bar the interactive fiction addon that is

I have just coppied a couple of manafest lines from an addon to that one and its status is now enabled, however goes without saying that we need things to work  a bit better.


On 11/02/2020 8:16 am, Patrick ZAJDA via Groups.Io wrote:

Hello,


About the Dropbox addon, you can download the compatible version here: https://addons.nvda-project.org/files/get.php?file=dx-dev


Hop this helps,


Patrick


Le 10/02/2020 à 20:01, ken lawrence via Groups.Io a écrit :

Hi list 2019.3 is now on my computer I have several add ons that won’t work with the new version.  I’m aware of remote not working yet but will the dropbox and the skype and teamtalk add ons be updated soon?  I don’t want to remove the old ones to make sure new updates come in.  are there any timelines for these to be updated.  Also I didn’t quite see what is different in speech in the new version other than the different espeak engine.  What has changed there? 

 

Sent from Mail for Windows 10

 


--
Patrick ZAJDA


Re: will the add on updater update them?

 

Hi,
As soon as Dropbox add-on is declared stable, it’ll show up via Add-on Updater.

Cheers,

Joseph

 

From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of Patrick ZAJDA via Groups.Io
Sent: Monday, February 10, 2020 11:16 AM
To: nvda@nvda.groups.io
Subject: Re: [nvda] will the add on updater update them?

 

Hello,

 

About the Dropbox addon, you can download the compatible version here: https://addons.nvda-project.org/files/get.php?file=dx-dev

 

Hop this helps,

 

Patrick

 

Le 10/02/2020 à 20:01, ken lawrence via Groups.Io a écrit :

Hi list 2019.3 is now on my computer I have several add ons that won’t work with the new version.  I’m aware of remote not working yet but will the dropbox and the skype and teamtalk add ons be updated soon?  I don’t want to remove the old ones to make sure new updates come in.  are there any timelines for these to be updated.  Also I didn’t quite see what is different in speech in the new version other than the different espeak engine.  What has changed there? 

 

Sent from Mail for Windows 10

 

 

--
Patrick ZAJDA


Re: OE Classic 3.1 gets more accessibility fixes.

Tyler Spivey
 

Please explain why anyone would want to use this if the list views are not accessible. That's a pretty important part of an email program.


On 2/10/2020 11:31 AM, Robert Kingett wrote:

Darn! Looks like 3.1 has been released to paying pro customers only. Wish the initial email was clearer on that, my bad for not checking, but the below link will download the latest version, which is 3.0 on the website. Below that, is the pro link where you can see how much it will cost and otherwise. Eventually, the free version will become 3.1 but not today.

  1. Direct download link. Free version. 3.0
  2. Pro version page. 3.1](http://www.oeclassic.com/order)


Re: OE Classic 3.1 gets more accessibility fixes.

 

Darn! Looks like 3.1 has been released to paying pro customers only. Wish the initial email was clearer on that, my bad for not checking, but the below link will download the latest version, which is 3.0 on the website. Below that, is the pro link where you can see how much it will cost and otherwise. Eventually, the free version will become 3.1 but not today.

  1. Direct download link. Free version. 3.0
  2. Pro version page. 3.1](http://www.oeclassic.com/order)


Re: Update: Defender no longer mistakenly flagging NVDA

 

You probably have to register your synths again, however you may have lost an activation.

Its why all my payed stuff is sapi.



On 11/02/2020 6:16 am, Robert Doc Wright godfearer wrote:

Quentin, I just downloaded 2019.3 from the site. After installing I get a message that says, “please register”. This is announced no matter what key I press. The only option I am left with is to press insert q.

 

******

If we can't look at ourselves, and ask, why?  then where does the learning start?

 

From: Quentin Christensen
Sent: Sunday, February 9, 2020 7:46 PM
To: nvda@nvda.groups.io
Subject: [nvda] Update: Defender no longer mistakenly flagging NVDA

 

Hi everyone,

 

Just a quick update - I mentioned on Friday that Microsoft had fixed their Defender definitions.  At the time it hadn't filtered down to me at least, although later on Friday it did and everything was fine again.  You should no longer have trouble installing NVDA 2019.3rc3 from: https://www.nvaccess.org/post/nvda-2019-3rc3-now-available-for-testing/

 

If you are still having trouble using eSpeak on a previously installed or setup copy of the RC, you might need to install again, as Defender probably deleted the eSpeak.dll file (the file it was incorrectly flagging as problematic).

 

Also just to reassure everyone, there never was a problem with eSpeak or NVDA - there never was a trojan or malicious software, it was simply Windows defender incorrectly marking the espeak dll as problematic, even though there was nothing wrong with the file.

 

Kind regards

 

Quentin.

 

--

Quentin Christensen
Training and Support Manager

 

 

 


Re: Kayboard Shortcut for Screen Curtain

Tyler Spivey
 

You create it like you would create any other keyboard shortcut, by accessing Input gestures in the Preferences menu.


On 2/10/2020 11:26 AM, Greg Rhodes wrote:

Is there a keyboard shortcut to toggle screen curtain on and off in 19.3? If so, what is it? If not, how do I create one? Don’t really want to have to go to NVDA settings every time I want to toggle screen curtain on and off. Thanks.

 

Greg

 


Re: NVDA 2019.3 released

Richard Wells
 

The switch to USB adapter is something I experience on one of my computers that has a Netgear USB wireless adapter connected. If you also have one of these, that may be why you are seeing this.

On 2/10/2020 9:14 AM, Brian Vogel wrote:
Just thought I'd post this as it is a first for me:  NVDA would not update from the "in NVDA" update process.  It failed and said to see the log.

I downloaded the new installer and that worked perfectly, and without having to uninstall the existing NVDA installation.  I probably should have posted this before going that route, as I believe I've probably now overwritten the log.  However, if the log is appended to, and anyone on the development team would like for me to send them a copy, just let me know.  I won't likely be using NVDA at all additionally today so the log is going to remain however it happens to be at the moment.

As a completely unrelated aside, can anyone tell me why NVDA announces, "Switch to USB Dialog Adapter Combo Box," as the first thing after starting virtually every time?  I've grown used to it, but I cannot for the life of me figure out what it thinks it has focus on such that this is what is announced.  And that quote is verbatim.
--

Brian - Windows 10 Pro, 64-Bit, Version 1909, Build 18363  

Power is being told you're not loved and not being destroyed by it.

       ~ Madonna

 

 


Kayboard Shortcut for Screen Curtain

Greg Rhodes
 

Is there a keyboard shortcut to toggle screen curtain on and off in 19.3? If so, what is it? If not, how do I create one? Don’t really want to have to go to NVDA settings every time I want to toggle screen curtain on and off. Thanks.

 

Greg

 


Re: OE Classic 3.1 gets more accessibility fixes.

Kerryn Gunness
 


robert
 
send the direct link to download the program
 

----- Original Message -----
Sent: Monday, February 10, 2020 11:40 AM
Subject: [nvda] OE Classic 3.1 gets more accessibility fixes.

The below is from their accessibility email list. No, I have no clue how to join it. I was added. For those who hate Thunderbird, this may be a good alternative but understand that the free version does not support IMAP or profiles yet.

Before I paste the email, here's the website. Check it out. Send them bugs and questions.

In the latest release of OE Classic 3.1, released today (10th February 2020), we've added the support for standard Message dialogs which are now fully screen-reader accessible. The dialogs use standard buttons and standard way of displaying messages which is easily readable to any screen-reader. The dialog we're describing are the ones such as "are you sure" type of dialogs. For example, when you right click the empty deleted items folder option one such dialog will show up.

To have this support there are some requirements though:

  • you must run at least Windows Vista or newer (Windows 7, Windows 8 or Windows 10 work well, and Windows 10 works best regarding this)

  • Theme support must be enabled on Windows Vista, Windows 7 and Windows 8. (so in other words, Windows must be using at least Windows Basic or Windows Aero theme). On Windows 10 this is not a problem, because the themes from Windows 8 and earlier are removed - Windows 10 has always theme support enabled so message dialogs in OE Classic will be always the standard Windows ones which are accessible. The requirement to have theme support enabled on Windows Vista / 7 / 8 will be removed in one of the updates when we switch to newer compiler than the one we currently use. But this is not much of a problem. Windows 7 usually is already set to one of the above mentioned themes by default, and for Windows 10 this is not a problem at all, since it has this always enabled.

  • Windows XP cannot be supported unfortunately. It doesn't support the required programming interface needed to add this. If you use that version, OE Classic will revert to the older dialogs which are not accessible. We have some ideas how to support even this, but it will require some compromises which we are only ready to take when the popularity of Windows XP is below 1% (currently about 2%).

In addition to all the above, we're also working on adding accessibility support for the list views (message list, contact list, folder list) which is currently the biggest known thing to be missing. We have made some progress regarding that in discovering why it doesn't work but there is still work to be done. We will notify you about this separately. There are also a few other windows which haven't been localized and as such adjusted for accessibility, and that will be done in time too, but these windows are rare in the current version (it is the updates window and send/receive window for example). With all of that we're approaching the goal of reaching 100% accessibility.

If you have suggestions, other than the ones which are already listed, we're always looking forward to those. If you have already made a suggestion, rest assured it is already in our queue to be implemented so there is no need to suggest it again.


Re: OE Classic 3.1 gets more accessibility fixes.

Kerryn Gunness
 


robert
 
send the direct link to download the program
 

----- Original Message -----
Sent: Monday, February 10, 2020 11:40 AM
Subject: [nvda] OE Classic 3.1 gets more accessibility fixes.

The below is from their accessibility email list. No, I have no clue how to join it. I was added. For those who hate Thunderbird, this may be a good alternative but understand that the free version does not support IMAP or profiles yet.

Before I paste the email, here's the website. Check it out. Send them bugs and questions.

In the latest release of OE Classic 3.1, released today (10th February 2020), we've added the support for standard Message dialogs which are now fully screen-reader accessible. The dialogs use standard buttons and standard way of displaying messages which is easily readable to any screen-reader. The dialog we're describing are the ones such as "are you sure" type of dialogs. For example, when you right click the empty deleted items folder option one such dialog will show up.

To have this support there are some requirements though:

  • you must run at least Windows Vista or newer (Windows 7, Windows 8 or Windows 10 work well, and Windows 10 works best regarding this)

  • Theme support must be enabled on Windows Vista, Windows 7 and Windows 8. (so in other words, Windows must be using at least Windows Basic or Windows Aero theme). On Windows 10 this is not a problem, because the themes from Windows 8 and earlier are removed - Windows 10 has always theme support enabled so message dialogs in OE Classic will be always the standard Windows ones which are accessible. The requirement to have theme support enabled on Windows Vista / 7 / 8 will be removed in one of the updates when we switch to newer compiler than the one we currently use. But this is not much of a problem. Windows 7 usually is already set to one of the above mentioned themes by default, and for Windows 10 this is not a problem at all, since it has this always enabled.

  • Windows XP cannot be supported unfortunately. It doesn't support the required programming interface needed to add this. If you use that version, OE Classic will revert to the older dialogs which are not accessible. We have some ideas how to support even this, but it will require some compromises which we are only ready to take when the popularity of Windows XP is below 1% (currently about 2%).

In addition to all the above, we're also working on adding accessibility support for the list views (message list, contact list, folder list) which is currently the biggest known thing to be missing. We have made some progress regarding that in discovering why it doesn't work but there is still work to be done. We will notify you about this separately. There are also a few other windows which haven't been localized and as such adjusted for accessibility, and that will be done in time too, but these windows are rare in the current version (it is the updates window and send/receive window for example). With all of that we're approaching the goal of reaching 100% accessibility.

If you have suggestions, other than the ones which are already listed, we're always looking forward to those. If you have already made a suggestion, rest assured it is already in our queue to be implemented so there is no need to suggest it again.


Re: will the add on updater update them?

Patrick ZAJDA
 

Hello,


About the Dropbox addon, you can download the compatible version here: https://addons.nvda-project.org/files/get.php?file=dx-dev


Hop this helps,


Patrick


Le 10/02/2020 à 20:01, ken lawrence via Groups.Io a écrit :

Hi list 2019.3 is now on my computer I have several add ons that won’t work with the new version.  I’m aware of remote not working yet but will the dropbox and the skype and teamtalk add ons be updated soon?  I don’t want to remove the old ones to make sure new updates come in.  are there any timelines for these to be updated.  Also I didn’t quite see what is different in speech in the new version other than the different espeak engine.  What has changed there? 

 

Sent from Mail for Windows 10

 


--
Patrick ZAJDA


Re: Very weird one!

Tyler Spivey
 

You should've got NVDA 2019.3.1. If it says march, that's a problem with your synth.

On 2/10/2020 11:01 AM, Roger Stewart wrote:
I still can't get any action with Firefox and it has always worked in the past when downloading NVDA.  I then tried Internet Explorer 11. This appeared to work as it took me to PayPal and when I entered everything there, it said redirecting to NV access.  There's where it stopped.  I never got back there from PayPal. I went back to my browser, and it was still on the download page so I just hit the download button.  I got something all right--NVDA from March of 2019!!  I just gave it up at this point.


Roger